Bug 1831245 - Image triggers do not work on v1 StatefulSets
Summary: Image triggers do not work on v1 StatefulSets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.z
Assignee: Clayton Coleman
QA Contact: wewang
URL:
Whiteboard:
Depends On: 1831243
Blocks: 1831246 1831888
TreeView+ depends on / blocked
 
Reported: 2020-05-04 18:17 UTC by Clayton Coleman
Modified: 2020-07-10 10:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: trigger controller was not aware of the GA version of StatefulSet Consequence: triggers could not work on v1.StatefulSet objects Fix: trigger controller now understands v1.StatefulSet Result: triggers work on v1.StatefulSet objects
Clone Of: 1831243
: 1831246 (view as bug list)
Environment:
Last Closed: 2020-05-18 13:35:03 UTC
Target Upstream Version:
adam.kaplan: needinfo-
adam.kaplan: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-controller-manager pull 103 None closed Bug 1831245: StatefulSets v1 do not trigger on image changes 2020-07-10 10:24:31 UTC
Red Hat Product Errata RHBA-2020:2133 None None None 2020-05-18 13:35:19 UTC

Description Clayton Coleman 2020-05-04 18:17:17 UTC
+++ This bug was initially created as a clone of Bug #1831243 +++

When trying to trigger based on a v1 StatefulSet, this message is printed to the logs and no trigger occurs:

I0504 18:07:01.962652       1 image_trigger_controller.go:332] Error syncing resource statefulsets.apps/clayton-ci-search/search: unrecognized object - no trigger update possible for *v1.StatefulSet

Will be backported.

Comment 4 wewang 2020-05-11 07:40:07 UTC
Still wait latest 4.4 payload which has the merge, will verify the bug.

Comment 5 wewang 2020-05-13 01:23:59 UTC
Verifiy in version, test steps are same with bug 1831243
4.4.0-0.nightly-2020-05-12-191002

Comment 7 errata-xmlrpc 2020-05-18 13:35:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2133


Note You need to log in before you can comment on or make changes to this bug.